API v2/GET

Get your storage configuration

Get the object-storage configuration your artifacts are currently written to.

Returns 404 when you have not configured one — that is the default, and means MeetingBaas stores your artifacts.

The secret_access_key is never returned. access_key_id is, so you can tell which credential is in use.

GET
/v2/storage-config

Authorization

ApiKeyAuth
x-meeting-baas-api-key<token>

Your Meeting BaaS API key. Get one from your account settings.

In: header

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.meetingbaas.com/v2/storage-config"
{
  "data": {
    "allow_transient_spill": true,
    "artifacts_bucket": "string",
    "audio_chunks_bucket": "string",
    "created_at": "string",
    "enabled": true,
    "endpoint": "string",
    "force_path_style": true,
    "ingest_access_key_id": "string",
    "last_error_at": "string",
    "last_error_message": "string",
    "last_verified_at": "string",
    "logs_bucket": "string",
    "region": "string",
    "service_access_key_id": "string",
    "storage_config_id": "string",
    "updated_at": "string"
  },
  "success": true
}
{
  "code": "string",
  "error": "string",
  "message": "string",
  "statusCode": 9007199254740991,
  "success": false
}
{
  "code": "string",
  "details": "string",
  "error": "string",
  "message": "string",
  "retryAfter": 9007199254740991,
  "statusCode": 9007199254740991,
  "success": false
}
{
  "code": "string",
  "details": "string",
  "error": "string",
  "message": "string",
  "statusCode": 9007199254740991,
  "success": false
}